Piñones :: CircularDependencyError application.js ya se ha requerido

En mi aplicación, recibo una aplicación Sprockets :: CircularDependencyError ya se ha requerido .js Esto afecta a todas las páginas de mi aplicación porque ninguna de las cargas JS. Nota: este error se produjo después de una fusión bastante compleja.

Mi suposition (corrígeme si me equivoco) es que este error ocurre porque dos files diferentes requieren application.js. De ser así, ¿en qué files debo search para eliminar este error? ¿Cómo podría probar mi aplicación para determinar qué files ya están solicitando application.js?

Muchas gracias por cualquier ayuda. Estaría más que feliz de proporcionar cualquier información pertinente.

"Este error ocurrió después de una fusión bastante compleja".

Estoy seguro de que el conflicto seguramente también estaría en el file application.js … Después de la fusión, es posible que no hayas eliminado el file extra application.js. * Que crea tu control de versión, donde ambos tendrían una línea de require tree o algo … es decir, ambos se requieren mutuamente una dependencia circular. Asegúrate de que no haya ningún file extra en esa carpeta …